%bcond_with bootstrap

Name:           plexus-resources
Version:        1.3.0
Release:        %mkrel 3
Group:          Development/Java
Summary:        Plexus Resource Manager
License:        MIT
URL:            https://github.com/codehaus-plexus/plexus-resources
BuildArch:      noarch
#ExclusiveArch:  %%{java_arches} noarch

Source0:        https://github.com/codehaus-plexus/plexus-resources/archive/plexus-resources-%{version}.tar.gz

%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap
%else
BuildRequires:  maven-local
BuildRequires:  mvn(javax.inject:javax.inject)
BuildRequires:  mvn(org.codehaus.plexus:plexus-utils)
BuildRequires:  mvn(org.codehaus.plexus:plexus-xml)
BuildRequires:  mvn(org.codehaus.plexus:plexus:pom:)
BuildRequires:  mvn(org.eclipse.sisu:sisu-maven-plugin)
BuildRequires:  mvn(org.slf4j:slf4j-api)
%endif

%description
The Plexus project seeks to create end-to-end developer tools for
writing applications. At the core is the container, which can be
embedded or for a full scale application server. There are many
reusable components for hibernate, form processing, jndi, i18n,
velocity, etc. Plexus also includes an application server which
is like a J2EE application server, without all the baggage.

%package        javadoc
Summary:        Javadoc for %{name}

%description    javadoc
API documentation for %{name}.

%prep
%setup -q -n plexus-resources-plexus-resources-%{version}

%build
%mvn_file  : plexus/resources
%mvn_build -f

%install
%mvn_install

%files -f .mfiles

%files javadoc -f .mfiles-javadoc


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 1.3.0-3.mga10
+ Revision: 2223829
- Mageia 10 Mass Rebuild

* Fri May 24 2024 ns80 <ns80> 1.3.0-2.mga10
+ Revision: 2067401
- rebuild without bootstrap

* Fri May 24 2024 ns80 <ns80> 1.3.0-1.mga10
+ Revision: 2067400
- bootstrap build
- new version 1.3.0 for java 21

* Mon Jul 25 2022 neoclust <neoclust> 1.2.0-2.mga9
+ Revision: 1871121
- Disable bootstrap

* Sun Jul 24 2022 neoclust <neoclust> 1.2.0-1.mga9
+ Revision: 1870921
- New version 1.2.0
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Fri Sep 04 2020 daviddavid <daviddavid> 1.1.0-1.mga8
+ Revision: 1621497
- Update to version 1.1.0
- Rebuilt for JDK-11

* Fri Aug 21 2020 neoclust <neoclust> 1.0-0.21.a8.mga8
+ Revision: 1617231
- Rebuild against java11

* Fri Feb 14 2020 umeabot <umeabot> 1.0-0.21.a7.mga8
+ Revision: 1520812
- Mageia 8 Mass Rebuild

* Mon Dec 10 2018 daviddavid <daviddavid> 1.0-0.20.a7.mga7
+ Revision: 1339853
- fix release tag

* Wed Sep 19 2018 umeabot <umeabot> 1.0-0.19.a10.mga7
+ Revision: 1274447
- Mageia 7 Mass Rebuild
+ neoclust <neoclust>
- Second rebuild of the java stack

* Wed Feb 24 2016 neoclust <neoclust> 1.0-0.19.a8.mga6
+ Revision: 977787
- First rebuild of the java stack
- sync package plexus-resources with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0-0.5.a7.7.mga5
+ Revision: 740075
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Wed Dec 25 2013 dmorgan <dmorgan> 1.0-0.5.a7.5.mga4
+ Revision: 560708
- Build with xmvn
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Sat Jul 13 2013 dmorgan <dmorgan> 1.0-0.5.a7.4.mga4
+ Revision: 453644
- Remove unnecessary BR on maven-doxia and maven-doxia-sitetools

* Sun Jan 13 2013 umeabot <umeabot> 1.0-0.5.a7.3.mga3
+ Revision: 377910
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 09 2011 dmorgan <dmorgan> 1.0-0.5.a7.2.mga2
+ Revision: 179784
- plexus-maven-plugin removed (not needed)
- Clean spec file
- Clean spec file for build with maven 3
+ gil <gil>
- used ju fedora new macro
- fixed broken links

* Wed Jul 20 2011 dmorgan <dmorgan> 1.0-0.4.a7.3.mga2
+ Revision: 127529
- Build with maven 3.x
- Build with maven 3.x

* Thu Apr 28 2011 dmorgan <dmorgan> 1.0-0.4.a7.2.mga1
+ Revision: 93029
- Rebuild after bootstrapping
- imported package plexus-resources


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.4.a7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Aug 25 2010 Alexander Kurtakov <akurtako@redhat.com> 1.0-0.3.a7
- Update to alpha 7.
- Apply patch to fix rhbz#621714.
- Use global instead of define.
- Drop ant build - broken after update.

* Wed Aug 26 2009 Andrew Overholt <overholt@redhat.com> 1.0-0.2.a4
- Fix release and defattr
- Make -javadoc description better

* Tue Aug 25 2009 Andrew Overholt <overholt@redhat.com> 1.0-0.1.a4.5
- Remove gcj support
- Fix license tag
- Improve source build instructions
- Remove "excalibur-" prefix from two BRs

* Thu Mar 20 2009 Yong Yang <yyang@redhat.com> 0:1.0-0.1.a4.4
- Build with maven2-2.0.8 built in non-bootstrap mode
- Add some missing BRs

* Thu Mar 20 2009 Yong Yang <yyang@redhat.com> 0:1.0-0.1.a10.3
- Build with maven2 2.0.8

* Tue Jan 20 2009 Yong Yang <yyang@redhat.com> 0:1.0-0.1.a4.2jpp.1
- Import from dbhole's maven 2.0.8 packages
- Merge with JPP-5

* Fri Sep 21 2007 Deepak Bhole <dbhole@redhat.com> 0:1.0-0.1.a4.2jpp.3
- ExcludeArch ppc64

* Tue Mar 20 2007 Deepak Bhole <dbhole@redhat.com> 0:1.0-0.1.a4.2jpp.2
- Enable gcj

* Tue Feb 20 2007 Tania Bento <tbento@redhat.com> 0:1.0-0.1.a4.2jpp.1
- Fixed %%Release.
- Fixed %%BuildRoot.
- Removed %%Vendor.
- Removed %%Distribution.
- Edited instructions on how to generate the source drops.
- Removed %%post and %%postun sections for javadoc.
- Added gcj support.

* Tue Oct 17 2006 Deepak Bhole <dbhole@redhat.com> 1.0-0.a4.2jpp
- Update for maven2 9jpp

* Mon Jun 12 2006 Deepak Bhole <dbhole@redhat.com> - 0:1.0-0.a4.1jpp
- Initial build
